¿Cómo puedo instalar una versión específica de pip mediante una instalación fácil? – Mac OS Mavericks

Estoy constantemente recibiendo la

Cannot fetch index base URL https://pypi.python.org/simple/ 

Cada vez que bash instalar pip con la versión más reciente de pip.

Leí sobre algunas otras preguntas que pip tenía problemas relacionados con SSL en su versión más reciente y recomendé instalar pip 1.2.1.

¿Cómo instalo una versión específica de pip a través de easy_install, por ejemplo?

Deberías poder instalar pip con pip:

 pip install --upgrade pip==1.2.1 

Según su contexto, puede desinstalarlo como se indica arriba y luego ejecutar:

 sudo easy_install pip==1.2.1 

No más molestos errores de SSL.

Desinstala cualquier instalación previa de pip . Teniendo en cuenta que está utilizando la instalación de todo el sistema,

 sudo apt-get remove python-pip 

y también,

 pip uninstall pip 

Ahora,

 sudo apt-get install python-setuptools sudo easy_install pip== sudo pip install virtualenv 

Sin embargo, es preferible utilizar virtual environment .